[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#212654: glibc should build-depend on bzip2



On Thu, Sep 25, 2003 at 10:40:54AM +1000, Peter Chubb wrote:
> Package: glibc
> Version: 2.3.2-8
> 
> If I do
>    apt-get source glibc
>    cd glibc-2.3.2
>    debuild
> 
> I see:
>   I: Unpacking glibc-2.3.2.tar.bz2 as glibc-2.3.2 in temp-unpack/.
>   prep.sh: line 17: bzcat: command not found
> 
> I think that glibc should build-depend on bzip2 if the upstream source
> is going to be bzipped.

Uh, it does?

  Build-Depends: gettext (>= 0.10.37-1), make (>= 3.78-4), dpkg-dev (>=
                 1.4.1.5), debianutils (>= 1.13.1), tar (>= 1.13.11),
                 bzip2, ...


I don't know why dpkg-buildpackage didn't check that for you.

Cheers,

-- 
Colin Watson                                  [cjwatson@flatline.org.uk]



Reply to: